org.hibernate.search.query.hibernate.impl

## Class ObjectLoaderBuilder

- java.lang.Object
- - org.hibernate.search.query.hibernate.impl.ObjectLoaderBuilder

-     public class ObjectLoaderBuilder
      extends Object

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectLoaderBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Loader` | `buildLoader()`
    `ObjectLoaderBuilder` | `criteria(Criteria criteria)`
    `ObjectLoaderBuilder` | `indexedTargetedEntities(Set<Class<?>> indexedTargetedEntities)`
    `ObjectLoaderBuilder` | `lookupMethod(ObjectLookupMethod lookupMethod)`
    `ObjectLoaderBuilder` | `retrievalMethod(DatabaseRetrievalMethod retrievalMethod)`
    `ObjectLoaderBuilder` | `searchFactory(ExtendedSearchIntegrator extendedIntegrator)`
    `ObjectLoaderBuilder` | `session(SessionImplementor session)`
    `ObjectLoaderBuilder` | `targetedEntities(IndexedTypeSet targetedEntities)`
    `ObjectLoaderBuilder` | `timeoutManager(TimeoutManager timeoutManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectLoaderBuilder

          public ObjectLoaderBuilder()

  - ### Method Detail

    - #### criteria

          public ObjectLoaderBuilder criteria(Criteria criteria)

    - #### targetedEntities

          public ObjectLoaderBuilder targetedEntities(IndexedTypeSet targetedEntities)

    - #### lookupMethod

          public ObjectLoaderBuilder lookupMethod(ObjectLookupMethod lookupMethod)

    - #### retrievalMethod

          public ObjectLoaderBuilder retrievalMethod(DatabaseRetrievalMethod retrievalMethod)

    - #### buildLoader

          public Loader buildLoader()

    - #### session

          public ObjectLoaderBuilder session(SessionImplementor session)

    - #### searchFactory

          public ObjectLoaderBuilder searchFactory(ExtendedSearchIntegrator extendedIntegrator)

    - #### indexedTargetedEntities

          public ObjectLoaderBuilder indexedTargetedEntities(Set<Class<?>> indexedTargetedEntities)

    - #### timeoutManager

          public ObjectLoaderBuilder timeoutManager(TimeoutManager timeoutManager)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved